Subject: Allow ResourceViewHelper to accept resource:// paths
Description

with I92dccba6b5acd623ff33eb538e62d0682f00b95e / https://review.typo3.org/#/c/13647/, the uri argument of the resource
ViewHelper was removed. However, it turned out that there is still the need of a way to use resource://... uris for pointing to resources.

Talking on IRC with Karsten and Aske, we said the already present path argument should be extended to accept also resource://..
uris.

History
#1 - 2012-11-21 16:23 - Karsten Dambekalns
- Status changed from New to Accepted

#2 - 2012-11-21 16:26 - Aske Ertmann

Implemented usages
TYPO3.Neos/Resources/Private/Templates/Module/Widget.html:5 "<img src="{f:uri.resource(uri: submoduleConfiguration.icon)}" class="pull-right" />"

#3 - 2012-12-12 12:17 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- Target version set to 2.0 beta 1
- % Done changed from 0 to 100

Resolved with https://review.typo3.org/16672
